Skip to content
You're viewing documentation for v2026.11.9-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get the license grant

Read the license grant a database holds, and how to issue one.

GET/api/v1/database-services/{id}/grant
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

account_idstring
fingerprintstringrequired
heldbooleanrequired
last_errorstring
license_idstring
reasonstring
self_servicebooleanrequired
ttl_secondsinteger<int64>required
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/database-services/string/grant' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "account_id": "string",
  "fingerprint": "string",
  "held": true,
  "last_error": "string",
  "license_id": "string",
  "reason": "string",
  "self_service": true,
  "ttl_seconds": 0
}